[arch-commits] CVS update of arch/build/multimedia/alsa-lib (2 files)

Tobias Powalowski tpowa at archlinux.org
Sat Apr 28 09:20:50 EDT 2007


    Date: Saturday, April 28, 2007 @ 09:20:50
  Author: tpowa
    Path: /home/cvs-arch/arch/build/multimedia/alsa-lib

   Added: alsa-lib.patch.bz2 (1.1)
Modified: PKGBUILD (1.39 -> 1.40)

'upgpkg: update to fit to kernel alsa version'


--------------------+
 PKGBUILD           |    8 +++++---
 alsa-lib.patch.bz2 |    <<Binary file>>
 2 files changed, 6 insertions(+), 3 deletions(-)


Index: arch/build/multimedia/alsa-lib/PKGBUILD
diff -u arch/build/multimedia/alsa-lib/PKGBUILD:1.39 arch/build/multimedia/alsa-lib/PKGBUILD:1.40
--- arch/build/multimedia/alsa-lib/PKGBUILD:1.39	Sun Apr 15 09:01:09 2007
+++ arch/build/multimedia/alsa-lib/PKGBUILD	Sat Apr 28 09:20:50 2007
@@ -1,19 +1,21 @@
-# $Id: PKGBUILD,v 1.39 2007/04/15 13:01:09 tpowa Exp $
+# $Id: PKGBUILD,v 1.40 2007/04/28 13:20:50 tpowa Exp $
 # Maintainer: judd <jvinet at zeroflux.org>
 
 pkgname=alsa-lib
 pkgver=1.0.14rc3
-pkgrel=1
+pkgrel=2
 pkgdesc="An alternative implementation of Linux sound support"
 arch=(i686 x86_64)
 url="http://www.alsa-project.org"
 depends=('glibc')
 license=('GPL')
-source=(ftp://ftp.alsa-project.org/pub/lib/$pkgname-${pkgver}.tar.bz2)
+source=(ftp://ftp.alsa-project.org/pub/lib/$pkgname-${pkgver}.tar.bz2
+	alsa-lib.patch.bz2)
 md5sums=('16b9ae3b1ebb031c23d8e50755cc81db')
 
 build() {
   cd $startdir/src/$pkgname-${pkgver}
+  patch -Np1 -i ../alsa-lib.patch || return 1
   ./configure --prefix=/usr
   make || return 1
   make DESTDIR=$startdir/pkg install
Index: arch/build/multimedia/alsa-lib/alsa-lib.patch.bz2
<<Binary file>>




More information about the arch-commits mailing list